# Gets a single email invitation

Returns an email invitation with the supplied invitationId, if it exists.

Endpoint: GET /connect-invitations/v1/{invitationId}
Version: all
Security: Bearer

## Path parameters:

  - `invitationId` (string, required)

## Response 200 fields (application/json):

  - `data` (object)

  - `data.invitationId` (string)
    The unique reference for the email invitation.

  - `data.recipientName` (string)
    The name of the recipient that the invitation email was sent to.

  - `data.recipientEmail` (string)
    The recipient's email address.

  - `data.customerReference` (string)
    Reference for invitation the provided by the client.

  - `data.configName` (string)
    The customer configuration to be used for the email invitation

  - `data.invitationCreated` (string)
    Date when the email invitation was created.

  - `data.activities` (array)
    The list of email activities related to this invitation.

  - `data.activities.event` (string)
    Enum: "Sent", "Received", "Opened", "Clicked", "Dropped", "Processed", "Deferred", "Bounce", "SpamReport", "Unsubscribe", "Failed"

  - `data.activities.eventDate` (string)
    The date when the event occured.

  - `data.activities.smtpErrorCode` (string)
    Any sort of error code returned by the receiving server that describes the type of
event triggered.

  - `data.activities.smtpErrorMessage` (string)
    Any sort of error response returned by the receiving server that describes the reason
this event type was triggered.

  - `meta` (object)

  - `meta.totalRecords` (integer)
    The total available records for this paged response.

## Response 404 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 500 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

